logo
REST API/upload-data

/upload-data

Hochladen von Inventar- oder PKID-Daten.

curl -X POST "https://service-t.auctionline.ch/api/upload-data" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "ssp_order_id": 379,
  "u_type": "INV",
  "file": "example_string"
}'
{
  "resultCode": 0,
  "message": "Upload-Type PKID SSP-Order-ID 543",
  "data": {
    "filename": "imp_u56-030-811-410.csv",
    "importID": 1410
  }
}
POST
/upload-data
POST
Bearer Token
Bearer Tokenstring
Required

Bearer token - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
filestring
Required

Base64-kodierter Dateiinhalt

Format: byte
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Authentication token required.

Body

application/json
filefile
Required

Base64-kodierter Dateiinhalt

Responses

resultCodeinteger
messagestring
dataobject